package com.feng;


import cn.hutool.core.bean.BeanUtil;
import org.junit.jupiter.api.Test;

public class FinalTest {

    @Override
    public boolean equals(Object obj) {
        return super.equals(obj);
    }

    @Test
    public void eqlAndD(){
        Girl g = new Girl("1");
        Girl f = new Girl("1");
        Girl h = new Girl("h");
        String s1 = "1";
        String s2 = "1";
        System.out.println(s1.equals(s2));
        System.out.println(g);
        System.out.println(f);

        System.out.println(g == f);
        System.out.println(g.equals(f));
        System.out.println(g.equals(h));

    }
    class Girl{
        String name;
        public Girl(String name){
            this.name = name;
        }
    }


}
